<?php
/**
 * Plugin Qcm (addon for plugin Adm_redacteurs)
 * Version  : 1.5 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00 et Adm_redacteurs v6.14+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
 
header('Pragma: no-cache');
define('CHEMIN', '../../');
include CHEMIN.'inc/includes.inc';
require 'plugin.inc';

// --------------------------------------------------------------------

/**
 * Déclaration et instanciation du controller
 */
require ADMR_CORE_PATH.'/controller.php';
require ADMR_CORE_PATH.'/model.php';

$params = explode('/', ADMR_CONTROLLER);
$controller = 'qcm_controller';
$method = 'index';

require ADMR_ADDONS_PATH.'/qcm/controllers/'.strtolower($controller).'.php';       

require ADMR_ADDONS_PATH.'/qcm/configs/qcm_constants.php';   // Chargement des constantes de l'addon     

$controller = new $controller(); // Instanciation

// --------------------------------------------------------------------

/**
 * View
 */
$headinc .= $controller -> set_header_addons(); // Ajout dans l'entête
$title_page = $controller -> set_title_page();  // Titre de la page
$topmess = $title_page;

// Icone de la page
$icon_page = $controller -> set_icon_page();  // Icone de la page

if (!empty($icon_page)) {
    $topmess = '<img src="'.CHEMIN.$icon_page.'" class="f-right" alt="icone de la page" />'.$topmess;
}
//
 
// Mode d'affichage des boites latérales
$sidebars_display_mode = $controller -> set_sidebars_display_mode();
$wpg = import('wpg', '', true, 0);

if ($sidebars_display_mode == 'W' || $wpg === '1') {
    $userprefs3 = '';
    $widepage = 'on';
} elseif ($sidebars_display_mode == 'L') {
    $userprefs3 = 'L';    
} elseif ($sidebars_display_mode == 'R') {
    $userprefs3 = 'R';    
} else {
    $userprefs3 = '';    
}
//

// Configuration du template sélectionné
$tconfig = import('tconfig', '', true, 0);
$tconfig = !isset($templates[$tconfig]) ? 0 : $tconfig;
//

ob_start();
include CHEMIN.'inc/hpage.inc';
htable(str_replace('&gt;', '-', $topmess), '100%');
if (method_exists($controller, $method)) {
    unset($params[0], $params[1]);
    call_user_func_array(array($controller, $method), $params);
} else {
    $controller -> index();
}
btable();
include CHEMIN.'inc/bpage.inc';
@ob_end_flush();

// --------------------------------------------------------------------